import sys

import socketio

sys.path.append('../')
from utils.util import get_auth

sio = socketio.Client()
sio.connect('http://0.0.0.0:9100', auth=get_auth())

sio.emit('on_join', 'room1')


@sio.event
def pull_msg_by_room(data):
    print('room message received with ', data)


@sio.event
def pull_msg(data):
    print('message received with ', data)


sio.wait()
